GuideLab API

List Expenses

GET
/finances/expenses

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range1 <= value <= 400
Default1
limit?integer
Range1 <= value <= 100
Default25
status?string

Value in

  • "pending"
  • "paid"
  • "void"
categoryId?string
Length1 <= length
from?string
to?string

Response Body

application/json

curl -X GET "https://example.com/finances/expenses"
{  "data": [    {      "id": "string",      "labId": "string",      "categoryId": "string",      "description": "string",      "originalAmount": "string",      "originalCurrency": "string",      "reportingAmount": "string",      "reportingCurrency": "string",      "status": "string",      "occurredOn": "string",      "property1": null,      "property2": null    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty